curl --request PUT \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/data-mappings/{mappingId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceAppId": "<string>",
"sourceSchemaId": "<string>",
"targetAppId": "<string>",
"targetSchemaId": "<string>",
"definition": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
]
}
'{
"id": "<string>",
"orgId": "<string>",
"sourceSchemaId": "<string>",
"targetSchemaId": "<string>",
"definition": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"sourceApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"targetApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}Update an existing data mapping, by ID for the given organisation.
curl --request PUT \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/data-mappings/{mappingId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceAppId": "<string>",
"sourceSchemaId": "<string>",
"targetAppId": "<string>",
"targetSchemaId": "<string>",
"definition": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
]
}
'{
"id": "<string>",
"orgId": "<string>",
"sourceSchemaId": "<string>",
"targetSchemaId": "<string>",
"definition": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"sourceApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"targetApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.versori.com/llms.txt
Use this file to discover all available pages before exploring further.
Payload to update an existing DataMapping.
DataMappingUpdate is the request body to update a credential. The ID and organisation ID fields are taken from the URL path.
The ID of the source App instance.
The ID of the source app operation, for OpenAPI this will be the operationId field if set, otherwise the
request's type and path.
The ID of the target App instance.
The ID of the target app operation, for OpenAPI this will be the operationId field if set, otherwise the
request's type and path.
Show child attributes
A single DataMapping result